<?php

// Enqueue styles
function fanspaysite_styles() {
	//prevent caching if you edit file
	$stylesheetUrl = get_stylesheet_directory_uri() . '/style.css';
	$stylesheetPath = get_stylesheet_directory() . '/style.css';
	wp_enqueue_style('fanspaysite-style', $stylesheetUrl, array(), @filemtime($stylesheetPath) ?? 1, 'all');
}
add_action( 'wp_enqueue_scripts', 'fanspaysite_styles' );


function fanspaysite_enqueue_scripts() {

	// Enqueue Font Awesome
	wp_enqueue_style('font-awesome', get_template_directory_uri() . '/lib/fa/css/all.min.css');

	// Enqueue jQuery
	wp_enqueue_script('jquery');

	// Enqueue Bootstrap CSS
	wp_enqueue_style('bootstrap-css', get_template_directory_uri()  . '/lib/bs/css/bootstrap.min.css');

	// Enqueue Bootstrap Bundle JS (includes Popper)
	wp_enqueue_script('bootstrap-js', get_template_directory_uri()  . '/lib/bs/js/bootstrap.bundle.min.js', array('jquery'), null, true);

	//prevent caching
	$scriptUrl = get_template_directory_uri() . '/js/menu.js';
	$scriptPath = get_template_directory() . '/js/menu.js';
	wp_enqueue_script('fanspaysite-menu',  $scriptUrl, array('jquery'), @filemtime($scriptPath) ?? 1, true);

}
add_action('wp_enqueue_scripts', 'fanspaysite_enqueue_scripts');

function fanspaysite_add_editor_styles() {
    add_editor_style('editor-style.css'); // Adjust the path to your editor stylesheet if necessary
}
add_action('admin_init', 'fanspaysite_add_editor_styles');
