<!--content.php-->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		// Only show the post title if the post is not password protected or if it has been unlocked
		if (!post_password_required() && !is_attachment()) :
			?>
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		<?php endif; ?>
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php
		the_content();
		// Optional: Add a 'Read More' link to encourage visitors to click through to the full post.
		?>
		<a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php esc_html_e('See More', 'fanspaysite'); ?></a>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
		// Optionally display post meta data like categories and tags.
		// Example for tags:
		if (has_tag()) {
			the_tags('<p class="post-tags">', ', ', '</p>');
		}
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
