<?php
if (have_comments()) : ?>
    <h2 class="comments-title">
        <?php
        $fanspaysite_comment_count = get_comments_number();
        if ('1' === $fanspaysite_comment_count) {
            printf(
                esc_html__('One comment on &ldquo;%1$s&rdquo;', 'fanspaysite'),
                '<span>' . get_the_title() . '</span>'
            );
        } else {
            printf( 
                esc_html(_nx('%1$s comment on &ldquo;%2$s&rdquo;', '%1$s comments on &ldquo;%2$s&rdquo;', $fanspaysite_comment_count, 'comments title', 'fanspaysite')),
                number_format_i18n($fanspaysite_comment_count),
                '<span>' . get_the_title() . '</span>'
            );
        }
        ?>
    </h2>
    <ol class="comment-list">
        <?php
        wp_list_comments(
            array(
                'style'      => 'ol',
                'short_ping' => true,
            )
        );
        ?>
    </ol>
    <?php
    the_comments_navigation();
    if (!comments_open()) :
        ?>
        <p class="no-comments"><?php esc_html_e('Comments are closed.', 'fanspaysite'); ?></p>
        <?php
    endif;
endif;

comment_form();
?>