<!--FansPaysite/content-single.php-->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if (get_theme_mod('display_title', true)): ?>
        <header class="entry-header">
            <h1 class="entry-title"><?php the_title(); ?></h1>
        </header><!-- .entry-header -->
    <?php endif; ?>

    <div class="entry-meta">
        <?php if (get_theme_mod('display_date', true)): ?>
            <span class="posted-on"><?php echo esc_html__('Posted on', 'fanspaysite') . ' ' . get_the_date(); ?></span>
        <?php endif; ?>
        
        <?php if (get_theme_mod('display_author', true)): ?>
            <span class="byline"><?php echo esc_html__('by', 'fanspaysite') . ' ' . get_the_author(); ?></span>
        <?php endif; ?>

        <?php if (get_theme_mod('display_category', true) && has_category()): ?>
            <span class="posted-in"><?php echo esc_html__('in', 'fanspaysite') . ' '; the_category(', '); ?></span>
        <?php endif; ?>
    </div><!-- .entry-meta -->

    <div class="entry-content">
        <?php
        the_content();
        wp_link_pages(array(
            'before' => '<div class="page-links">' . esc_html__('Pages:', 'fanspaysite'),
            'after'  => '</div>',
        ));
        ?>
    </div><!-- .entry-content -->

    <?php if (get_theme_mod('display_tags', true) && has_tag()): ?>
        <footer class="entry-footer">
            <?php echo get_the_tag_list('<p>' . esc_html__('Tags:', 'fanspaysite') . ' ', ', ', '</p>'); ?>
        </footer><!-- .entry-footer -->
    <?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->
